import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { BackupDestinationCreateManyUserInputObjectSchema as BackupDestinationCreateManyUserInputObjectSchema } from './BackupDestinationCreateManyUserInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => BackupDestinationCreateManyUserInputObjectSchema), z.lazy(() => BackupDestinationCreateManyUserInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const BackupDestinationCreateManyUserInputEnvelopeObjectSchema: z.ZodType<Prisma.BackupDestinationCreateManyUserInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationCreateManyUserInputEnvelope>;
export const BackupDestinationCreateManyUserInputEnvelopeObjectZodSchema = makeSchema();
